Ansible playbooks fail on database migrations due to click version
Description

I run the ansible playbooks from pulp-installer 3.12.2 (also once with the latest commit of the master branch) on a fresh CentOS 8 as
| did last week but suddenly it breaks on database migration with the error:

File \"/usr/local/lib/pulp/lib64/python3.6/site-packages/click/core.py\", line 2108, in _ _init__",
" ) from None", "ValueError: 'default' must be a list when 'multiple' is true."], "stdout": ""
"stdout_lines": []}

Is the click package incompatible? | really don't know now which version of the pulp-installer really works, cause on every rerun of the
playbooks another issue appears mostly due to 3rd party incompatibilities (also django upgrade recently broke the installation) .
Would it somehow possible to fix all this dependencies somewhere (which file?) cause when | check out 3.12.2 | always expect the
same result? Or is there something | do wrong?

Related issues:

Related to Pulp - Issue #8744: Pulp3 database migration broken with newly rel... CLOSED - CURRENTRELEASE
Has duplicate Ansible Plugin - Issue #8742: Ansible playbooks fail on databas... CLOSED - DUPLICATE

Has duplicate Pulp - Issue #8765: pulp installation on CentOS 7 or 8 CLOSED - DUPLICATE
History

#1 - 05/13/2021 09:14 AM - sli720
- Copied from Issue #8742: Ansible playbooks fail on database migrations added

#2 - 05/13/2021 10:55 AM - sli720
Downgraded click to 7.1.2

#3 - 05/13/2021 03:57 PM - bmbouter
- Copied from deleted (Issue #8742: Ansible playbooks fail on database migrations)

#4 - 05/13/2021 03:57 PM - bmbouter
- Has duplicate Issue #8742: Ansible playbooks fail on database migrations added

#5 - 05/13/2021 04:00 PM - bmbouter
- Subject changed from Ansible playbooks fail on database migrations to Ansible playbooks fail on database migrations due to click version

- Category set to Installer - Moved to GitHub issues

Downgrading click for now is the right thing to do. The issue is with RQ which declares the dependency on click so Pulp can't take an action. RQ is
resolving it here https://github.com/rq/rg/pull/1465.

| propose we leave this open until RQ releases a resolved version, and then we can close this as NOTABUG once the new RQ version is available on
Pypi.

Thanks for filing this issue!
#6 - 05/17/2021 03:48 PM - daviddavis

- Related to Issue #8744: Pulp3 database migration broken with newly release click 8 added

#7 - 05/19/2021 03:16 PM - mdepaulo@redhat.com
- Has duplicate Issue #8765: pulp installation on CentOS 7 or 8 added

#8 - 05/19/2021 03:19 PM - fao89

It is related to click 8.0.0, rq just released a new version that is compatible with click 8.0.0 https://github.com/rg/rg/releases/tag/v1.8.1

Problem should be solved with this new rq release, if not, please let us know which installer/pulpcore version are you using

#9 - 06/03/2021 03:26 PM - mdepaulo@redhat.com
- Status changed from NEW to CLOSED - NOTABUG

Closing per fao89's comment.

Feel free to reopen if it is still present.
